Jump to content

Recommended Posts

I can't seem to get the Web Clipper to install in Safari 10 Release 8 (Safari 10.0, WebKit 12602.1.39).  Unsupported?  Pilot error?  Thanks...

Share this post


Link to post

Evernote.com currently says that Clipper works on Safari,  though there have been issues with previous versions.  Where are you downloading from and what exactly happens when you try?

Share this post


Link to post
On 7/13/2016 at 3:58 PM, HFTobeason said:

I can't seem to get the Web Clipper to install in Safari 10 Release 8 (Safari 10.0, WebKit 12602.1.39).  Unsupported?  Pilot error?  Thanks...

We're working on Safari 10/macOS Sierra support.

  • Like 1

Share this post


Link to post

It is Dec 5, 2016 and my Evernote clipper stopped working with Safari. How do I fix it? Can't install a new version, just doesn't work. Help

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...